package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the QualificationType service. Represents a row in the &quot;Profile_QualificationType&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.QualificationTypeModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.QualificationTypeImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationType
 * @see de.humance.eco.profile.model.impl.QualificationTypeImpl
 * @see de.humance.eco.profile.model.impl.QualificationTypeModelImpl
 * @generated
 */
public interface QualificationTypeModel extends BaseModel<QualificationType> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a qualification type model instance should use the {@link QualificationType} interface instead.
     */

    /**
     * Returns the primary key of this qualification type.
     *
     * @return the primary key of this qualification type
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this qualification type.
     *
     * @param primaryKey the primary key of this qualification type
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the qualification type ID of this qualification type.
     *
     * @return the qualification type ID of this qualification type
     */
    public long getQualificationTypeId();

    /**
     * Sets the qualification type ID of this qualification type.
     *
     * @param qualificationTypeId the qualification type ID of this qualification type
     */
    public void setQualificationTypeId(long qualificationTypeId);

    /**
     * Returns the creator ID of this qualification type.
     *
     * @return the creator ID of this qualification type
     */
    public long getCreatorId();

    /**
     * Sets the creator ID of this qualification type.
     *
     * @param creatorId the creator ID of this qualification type
     */
    public void setCreatorId(long creatorId);

    /**
     * Returns the creator name of this qualification type.
     *
     * @return the creator name of this qualification type
     */
    @AutoEscape
    public String getCreatorName();

    /**
     * Sets the creator name of this qualification type.
     *
     * @param creatorName the creator name of this qualification type
     */
    public void setCreatorName(String creatorName);

    /**
     * Returns the create date of this qualification type.
     *
     * @return the create date of this qualification type
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this qualification type.
     *
     * @param createDate the create date of this qualification type
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modifier ID of this qualification type.
     *
     * @return the modifier ID of this qualification type
     */
    public long getModifierId();

    /**
     * Sets the modifier ID of this qualification type.
     *
     * @param modifierId the modifier ID of this qualification type
     */
    public void setModifierId(long modifierId);

    /**
     * Returns the modifier name of this qualification type.
     *
     * @return the modifier name of this qualification type
     */
    @AutoEscape
    public String getModifierName();

    /**
     * Sets the modifier name of this qualification type.
     *
     * @param modifierName the modifier name of this qualification type
     */
    public void setModifierName(String modifierName);

    /**
     * Returns the modified date of this qualification type.
     *
     * @return the modified date of this qualification type
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this qualification type.
     *
     * @param modifiedDate the modified date of this qualification type
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the name of this qualification type.
     *
     * @return the name of this qualification type
     */
    @AutoEscape
    public String getName();

    /**
     * Sets the name of this qualification type.
     *
     * @param name the name of this qualification type
     */
    public void setName(String name);

    /**
     * Returns the description of this qualification type.
     *
     * @return the description of this qualification type
     */
    @AutoEscape
    public String getDescription();

    /**
     * Sets the description of this qualification type.
     *
     * @param description the description of this qualification type
     */
    public void setDescription(String description);

    /**
     * Returns the note of this qualification type.
     *
     * @return the note of this qualification type
     */
    @AutoEscape
    public String getNote();

    /**
     * Sets the note of this qualification type.
     *
     * @param note the note of this qualification type
     */
    public void setNote(String note);

    /**
     * Returns the icon ID of this qualification type.
     *
     * @return the icon ID of this qualification type
     */
    public long getIconId();

    /**
     * Sets the icon ID of this qualification type.
     *
     * @param iconId the icon ID of this qualification type
     */
    public void setIconId(long iconId);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(QualificationType qualificationType);

    @Override
    public int hashCode();

    @Override
    public CacheModel<QualificationType> toCacheModel();

    @Override
    public QualificationType toEscapedModel();

    @Override
    public QualificationType toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
